Combination View Flat View Tree View
Threads [ Previous | Next ]
Showing 1 - 20 of 27 results.
of 2
gordon daniels
Upgrade to 6.1ga2
August 1, 2012 8:49 AM
Answer

gordon daniels

Rank: Liferay Master

Posts: 735

Join Date: August 23, 2008

Recent Posts

Is there an official way of upgrading from 6.1.ga1 to 6.1ga2?

thanks
David H Nebinger
RE: Upgrade to 6.1ga2
August 1, 2012 10:28 AM
Answer

David H Nebinger

Community Moderator

Rank: Liferay Legend

Posts: 11770

Join Date: September 1, 2006

Recent Posts

Same way you do any other upgrade. Download, expand, copy in portal-ext.properties, then fire it up.
gordon daniels
RE: Upgrade to 6.1ga2
August 1, 2012 11:02 AM
Answer

gordon daniels

Rank: Liferay Master

Posts: 735

Join Date: August 23, 2008

Recent Posts

Hi David,

I guess I should have been more specific. I have a development server with custom theme and lots of images. So, in migrating that to new install, are the steps:

1. copy over portal-ext.properties
2. the data directory
3. database

Is that all there is to it?

thanks
David H Nebinger
RE: Upgrade to 6.1ga2
August 1, 2012 1:34 PM
Answer

David H Nebinger

Community Moderator

Rank: Liferay Legend

Posts: 11770

Join Date: September 1, 2006

Recent Posts

Well, the portal-ext.properties will (should) have references to the database and the data directory, so copying it should be enough.

But these steps really only help you with performing a single update and offer no rollback/restart capabilities.

There was a recent post (I think the subject line had best practice for upgrade or something like that) where I did a lengthy post for how to handle doing the upgrade and accommodate backing up the database, doing the deployments, upgrading your plugins, etc.
gordon daniels
RE: Upgrade to 6.1ga2
August 1, 2012 1:45 PM
Answer

gordon daniels

Rank: Liferay Master

Posts: 735

Join Date: August 23, 2008

Recent Posts

thanks David. Much appreciated!
gordon daniels
RE: Upgrade to 6.1ga2
August 3, 2012 11:42 AM
Answer

gordon daniels

Rank: Liferay Master

Posts: 735

Join Date: August 23, 2008

Recent Posts

I could not find David's post on upgrading. I used the wiki at this link http://www.liferay.com/documentation/liferay-portal/6.1/user-guide/-/ai/maintaining-a-liferay-port-7.

This describes how to use dependancies file and liferay .war to upgrade. I followed it exactly. But the server does not start up. Here is the error msg:

18:35:23,876 ERROR [ContextLoader:220] Context initialization failed
org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'liferayDataSource' defined in ServletContext resource [/WEB-INF/liferay-persistence.xml]: Error setting property values; nested exception is org.springframework.beans.PropertyBatchUpdateException; nested PropertyAccessExceptions (1) are:
PropertyAccessException 1: org.springframework.beans.MethodInvocationException: Property 'targetDataSource' threw exception; nested exception is java.lang.IllegalArgumentException: 'targetDataSource' must not be null
at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.applyPropertyValues(AbstractAutowireCapableBeanFactory.java:1361)
at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.populateBean(AbstractAutowireCapableBeanFactory.java:1086)

Anyone have a clue how I might fix this?

thanks
David H Nebinger
RE: Upgrade to 6.1ga2
August 3, 2012 12:09 PM
Answer

David H Nebinger

Community Moderator

Rank: Liferay Legend

Posts: 11770

Join Date: September 1, 2006

Recent Posts

gordon daniels:
I could not find David's post on upgrading. I used the wiki at this link http://www.liferay.com/documentation/liferay-portal/6.1/user-guide/-/ai/maintaining-a-liferay-port-7.


http://www.liferay.com/community/forums/-/message_boards/message/15043498
gordon daniels
RE: Upgrade to 6.1ga2
August 3, 2012 12:17 PM
Answer

gordon daniels

Rank: Liferay Master

Posts: 735

Join Date: August 23, 2008

Recent Posts

thanks David for the help.
Hitoshi Ozawa
RE: Upgrade to 6.1ga2
August 5, 2012 4:21 AM
Answer

Hitoshi Ozawa

Rank: Liferay Legend

Posts: 7949

Join Date: March 23, 2010

Recent Posts

And don't forgot to read the last recommendation. It's better to wait until all the problems have surfaced before upgrading your production server. I'm still finding some errors in GA2 and probably will spend few more days testing GA2 before thinking about upgrade.
gordon daniels
RE: Upgrade to 6.1ga2
August 5, 2012 7:25 AM
Answer

gordon daniels

Rank: Liferay Master

Posts: 735

Join Date: August 23, 2008

Recent Posts

Hitoshi: thanks. This is a test server. So, I am trying to get ahead of things by testing.

thanks
Joseph M. Sentís
RE: Upgrade to 6.1ga2
August 6, 2012 4:41 AM
Answer

Joseph M. Sentís

Rank: New Member

Posts: 11

Join Date: April 19, 2011

Recent Posts

Somebody get this error too? I had copied data folder and all settings of my previous 6.1CE install (portal-ext.properties, DB context, logging.props, extra jars in lib...)
Environment: Solaris 10 & Oracle & JDK 7 / trying to Bundle 6.1 CE -> Bundle 6.1.1 CE

...
12:13:57,592 INFO [pool-2-thread-1][VerifyProcess:81] Verifying com.liferay.portal.verify.VerifyResourcePermissions
12:13:57,828 ERROR [pool-2-thread-1][MainServlet:217] com.liferay.portal.kernel.events.ActionException: com.liferay.portal.verify.VerifyException: com.liferay.portal.verify.VerifyException: java.lang.IllegalArgumentException: Permissioned model is null
com.liferay.portal.kernel.events.ActionException: com.liferay.portal.verify.VerifyException: com.liferay.portal.verify.VerifyException: java.lang.IllegalArgumentException: Permissioned model is null
at com.liferay.portal.events.StartupAction.run(StartupAction.java:58)
at com.liferay.portal.servlet.MainServlet.processStartupEvents(MainServlet.java:1306)
at com.liferay.portal.servlet.MainServlet.init(MainServlet.java:214)
at javax.servlet.GenericServlet.init(GenericServlet.java:160)
at org.apache.catalina.core.StandardWrapper.initServlet(StandardWrapper.java:1266)
at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1185)
at org.apache.catalina.core.StandardWrapper.load(StandardWrapper.java:1080)
at org.apache.catalina.core.StandardContext.loadOnStartup(StandardContext.java:5015)
at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5302)
at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)
at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:895)
at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:871)
at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:615)
at org.apache.catalina.startup.HostConfig.deployDescriptor(HostConfig.java:649)
at org.apache.catalina.startup.HostConfig$DeployDescriptor.run(HostConfig.java:1585)
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
at java.util.concurrent.FutureTask.run(FutureTask.java:166)
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
at java.lang.Thread.run(Thread.java:722)
...
Stopping the server due to unexpected startup errors
gordon daniels
RE: Upgrade to 6.1ga2
August 15, 2012 1:36 PM
Answer

gordon daniels

Rank: Liferay Master

Posts: 735

Join Date: August 23, 2008

Recent Posts

Yes, I have had the same error. I was not successful in doing the upgrade. One issue I had was the slider that I used in ga1 was not available in ga2.

good luck
Joseph M. Sentís
RE: Upgrade to 6.1ga2
August 17, 2012 5:04 AM
Answer

Joseph M. Sentís

Rank: New Member

Posts: 11

Join Date: April 19, 2011

Recent Posts

Hello

Well, we do not have any strong dependency of portlets from previous version but migrating is painfull if everytime we try we have to make a database restoration from 6.1. There are something we can try to speed up migration? Remove files from document library?

Regards.
gordon daniels
RE: Upgrade to 6.1ga2
August 17, 2012 5:29 PM
Answer

gordon daniels

Rank: Liferay Master

Posts: 735

Join Date: August 23, 2008

Recent Posts

I don't know the answers. I have not been successfull ever upgrading. I've read all the documentation and its oblique at best. You would think they would have a doc that says, if you have a vanilla install here is what to do to upgrade. But no.

Anyway, if you find out anything or you are successfull in upgrading, post back what you did. I will do the same.

best of luck
David H Nebinger
RE: Upgrade to 6.1ga2
August 19, 2012 7:16 AM
Answer

David H Nebinger

Community Moderator

Rank: Liferay Legend

Posts: 11770

Join Date: September 1, 2006

Recent Posts

Sorry, guys, but I believe it is said all over the place that Java 7 is not yet supported, nor is OpenJDK. You must use the official java 6 from oracle.
Thomas Berg
RE: Upgrade to 6.1ga2
August 24, 2012 10:31 AM
Answer

Thomas Berg

Rank: Regular Member

Posts: 134

Join Date: September 7, 2009

Recent Posts

Hello Joseph,

I ran into the exact same issue (same stacktrace). Found this bug report which helped me solve the problem. I just started the old server and went through all sites/organizations from the control-panel, deleting all bookmark-folders.
Perhaps not a good solution for you but we only had one site that had one single bookmark-folder with a few bookmark-entries so for us it was simple. We can always re-create the bookmarks manually if necessary. I guess it would also be possible to backup the tables boomarksentry and bookmarksfolder and re-create them using some fairly simple script.

HTH

Regards Thomas
gordon daniels
RE: Upgrade to 6.1ga2
September 5, 2012 4:38 PM
Answer

gordon daniels

Rank: Liferay Master

Posts: 735

Join Date: August 23, 2008

Recent Posts

I have followed the documentation on upgrading 6.1 to 6.1.ga2. I keep getting the following error:

xception in thread "com.liferay.portal.kernel.deploy.auto.AutoDeployScanner" java.lang.NullPointerException
at com.liferay.portal.kernel.deploy.auto.AutoDeployDir.scanDirectory(AutoDeployDir.java:227)
at com.liferay.portal.kernel.deploy.auto.AutoDeployScanner.run(AutoDeployScanner.java:54)

Could someone tell me what this means? I've tried searching but found nothing that helps.

thanks
gordon daniels
RE: Upgrade to 6.1ga2
September 8, 2012 2:33 PM
Answer

gordon daniels

Rank: Liferay Master

Posts: 735

Join Date: August 23, 2008

Recent Posts

I have not been successful in doing upgrade from 6.1ce to 6.1ga2 ce. It comes close but not quite. I've tried all the above. The site is fairly basic. Only one portlet not standard. I leave that one out but still no success.

If anyone has been successful in upgrading, it would be appreciated if you replied with the steps you followed.

thanks
Juan Gonzalez
RE: Upgrade to 6.1ga2
September 8, 2012 4:04 PM
Answer

Juan Gonzalez

LIFERAY STAFF

Rank: Liferay Legend

Posts: 2947

Join Date: October 28, 2008

Recent Posts

Can you post complete stacktrace?
gordon daniels
RE: Upgrade to 6.1ga2
September 8, 2012 4:53 PM
Answer

gordon daniels

Rank: Liferay Master

Posts: 735

Join Date: August 23, 2008

Recent Posts

Juan:

Hi, thanks for replying. I did post the error message in the above post. Not being a developer, I am not sure what it is telling me. There are no other errors in log.

thanks
Showing 1 - 20 of 27 results.
of 2